commit:     902e1fc84649dabd6a49405c5f601106a5b9de3f
Author:     jan Anja (cybertailor) <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Tue May 20 09:01:52 2025 +0000
Commit:     Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Tue May 20 09:05:03 2025 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=902e1fc8

phosh-base/phosh-mobile-settings: add 0.47.0

Signed-off-by: jan Anja (cybertailor) <cyber+gentoo <AT> sysrq.in>

 phosh-base/phosh-mobile-settings/Manifest          |  2 +
 phosh-base/phosh-mobile-settings/metadata.xml      |  4 ++
 .../phosh-mobile-settings-0.47.0.ebuild            | 70 ++++++++++++++++++++++
 3 files changed, 76 insertions(+)

diff --git a/phosh-base/phosh-mobile-settings/Manifest 
b/phosh-base/phosh-mobile-settings/Manifest
index 3d44faf2e..e9e699cf8 100644
--- a/phosh-base/phosh-mobile-settings/Manifest
+++ b/phosh-base/phosh-mobile-settings/Manifest
@@ -2,3 +2,5 @@ DIST phosh-mobile-settings-0.42.0.tar.xz 229020 BLAKE2B 
166f6cf54b634b2a935ff3fd
 DIST phosh-mobile-settings-0.42.0.tar.xz.asc 833 BLAKE2B 
e481795aa52593b5655a970c5454b051e424312df3ba1b45fa6bff8ef4b54149bb0166a7fec80990cad5b554ada495f1fae2799f713290082390430f1faf093b
 SHA512 
69cbc847ed5e3d31dafd386e97b5e8a7009da6ecc19df9715fff527c568f34e3d78dcd54d5e3800e7437ca1bc30cb726891eb72bf15cd225ad8618e035ad1978
 DIST phosh-mobile-settings-0.43.0.tar.xz 236724 BLAKE2B 
29f15d9f1bb6717f49c604a2fd802d1e595d376d31c44011255a381e4ba744bf0409c2a6d105c647de3182c7cdd050de5f0a1a50b3cae51ff97300ec35796267
 SHA512 
e7357379acdbcf94067435116f1cc5e83461f3e87193f7d202dbe9fdf90dd9beaef0aa20c84cd5249be1c0ec27b19aaff6d1d053ea14facfb21a2c7c418b2882
 DIST phosh-mobile-settings-0.43.0.tar.xz.asc 833 BLAKE2B 
336edf65970fe4b13345e93393c6dfc41edfbea41a9b156cefb3ecb0e55c08992ee552ff3c8a2af1995c5b1f2bcfc20c153c86c4431a68b7d022e3f462f894e6
 SHA512 
4f6001fd2b745acccc8db658f2953b41dd9d5e71b1a752acec52536ccccc9fd9d691da1df6f88ce6e5cf328b07c901c37ba742e20f1d2030ee87f3a0f6ab9cc9
+DIST phosh-mobile-settings-0.47.0.tar.xz 295132 BLAKE2B 
681e3ed7537012337c0491d4b162ba88c85d6023af464ba3050e5e8dd84e47264c722a8b01621ce9869c39e4d514b3c91e2f3ee30d27620e4855963ef36451b2
 SHA512 
9d09477c2d72e2a262d9772167cbf0a9ddc0450cf024eed36bdae86b0099df6dcb8ffb85bbe6ba2c35762e14e5845626e8c40e9bd7257593a52cf6977971bf05
+DIST phosh-mobile-settings-0.47.0.tar.xz.asc 833 BLAKE2B 
72fed0bf8b8274f082b2c82e0b480344e57d854b69962b1f4a6523fc9c5f2485ae6d19c7361128332b7e367fb5d01ac0036029d64a5ebdb658ff1771d543c86c
 SHA512 
9d650db4fa92e3527fe191c86cf532954e7a998d73c25562f8bbcc7fff7d06b9e860794ba7a80639b1456304de33c8c64cd04cc16e7213cd9cc559a6bcc0a486

diff --git a/phosh-base/phosh-mobile-settings/metadata.xml 
b/phosh-base/phosh-mobile-settings/metadata.xml
index 25857c3d7..12e8c779e 100644
--- a/phosh-base/phosh-mobile-settings/metadata.xml
+++ b/phosh-base/phosh-mobile-settings/metadata.xml
@@ -5,6 +5,10 @@
                <email>[email protected]</email>
                <name>Anna</name>
        </maintainer>
+       <longdescription>
+               Mobile Settings allows to configure some advanced settings of 
the Phosh mobile
+               environment that would otherwise involve using the command line.
+       </longdescription>
        <upstream>
                <remote-id 
type="gnome-gitlab">guidog/phosh-mobile-settings</remote-id>
        </upstream>

diff --git 
a/phosh-base/phosh-mobile-settings/phosh-mobile-settings-0.47.0.ebuild 
b/phosh-base/phosh-mobile-settings/phosh-mobile-settings-0.47.0.ebuild
new file mode 100644
index 000000000..f941ff79a
--- /dev/null
+++ b/phosh-base/phosh-mobile-settings/phosh-mobile-settings-0.47.0.ebuild
@@ -0,0 +1,70 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnome2-utils meson verify-sig xdg
+
+DESCRIPTION="Phosh and related settings for mobile"
+HOMEPAGE="https://gitlab.gnome.org/guidog/phosh-mobile-settings";
+SRC_URI="https://sources.phosh.mobi/releases/${PN}/${P}.tar.xz
+       verify-sig? ( https://sources.phosh.mobi/releases/${PN}/${P}.tar.xz.asc 
)"
+
+LICENSE="GPL-2+ GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+
+COMMON_DEPEND="
+       >=dev-libs/glib-2.76:2
+       >=dev-libs/gmobile-0.2.1
+       >=dev-libs/json-glib-1.6.2
+       >=dev-libs/feedbackd-0.8.0
+       >=dev-libs/libportal-0.9.1:=[gtk]
+       >=dev-libs/wayland-1.14
+       >=gnome-base/gnome-desktop-44:4=
+       >=gui-libs/gtk-4.12.5:4[wayland]
+       >=gui-libs/libadwaita-1.5:1
+       media-libs/gsound
+       >=media-libs/libpulse-12.99.3[glib]
+       >=phosh-base/phosh-shell-0.40.0
+       sys-apps/dbus
+       sys-apps/lm-sensors:=
+"
+DEPEND="${COMMON_DEPEND}
+       >=dev-libs/wayland-protocols-1.12
+"
+RDEPEND="${COMMON_DEPEND}
+       !<phosh-base/phosh-osk-stub-0.42.0
+       >=gui-wm/phoc-0.34.0
+       || (
+               >=phosh-base/xdg-desktop-portal-phosh-0.46.0
+               <phosh-base/phosh-shell-0.44.0
+       )
+"
+BDEPEND="
+       dev-libs/glib:2
+       dev-util/gdbus-codegen
+       dev-util/glib-utils
+       dev-util/wayland-scanner
+       sys-devel/gettext
+       verify-sig? ( sec-keys/openpgp-keys-phosh )
+"
+
+VERIFY_SIG_OPENPGP_KEY_PATH="/usr/share/openpgp-keys/phosh.asc"
+
+QA_DESKTOP_FILE="usr/share/applications/mobi.phosh.MobileSettings.desktop"
+
+src_test() {
+       # No useful tests
+       :
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+       gnome2_schemas_update
+}
+
+pkg_postrm() {
+       xdg_pkg_postrm
+       gnome2_schemas_update
+}

Reply via email to